1. Post
Networked API Documentation
  • Getting Started
  • User Authentication
    • Add New Users to Community
      POST
    • Send email invites
      POST
  • User Profile
    • User Profile
      GET
    • Profile Visits
      GET
  • Community
    • Features
      • Feature List
    • Directory
      • Users List
      • Roles List
    • Monetization
      • Plans
        • Plans List
    • Feed
      • Polls
        • Create Polls
      • Surveys
        • Create Surveys
      • Post
        • Ask and offer help
          • Post Intro
          • Post Advice
          • Post Recommendation
          • Post Kudos
          • Post Help
        • Feed Post List
          GET
        • Post to Feed
          POST
        • Get Post Comments
          GET
        • Add Comments to Post
          POST
      • upload Media
        POST
    • Opportunities
      • Company and Services
        • Company and Services List
      • Fundaising Initiatives
        • Fundraising Initiatives List
      • Career Opportunities
        • Career Opportunities
    • Events
      • Event Post
      • Edit Events
      • Delete Event
      • Event List
    • Media Center
      • Get Resources
    • Analytics
      • Community Analytics
    • Newsletter
      • Lists
        • Get newsletter subscriber lists
      • Add newsletter subscribers
      • Get newsletter subscribers
    • Community Details
      GET
    • Spaces List
      GET
  • Webhooks
    • User Webhooks
      • user.joined
      • user.profile.updated
      • user.joined.space
    • Feed Webhooks
      • post.created
      • post.liked
      • post.unliked
      • comment.added
      • post.reported
  • References
    • Response Codes
    • Model Status
    • Post Types
  1. Post

Post to Feed

POST
https://backend.networked.co/api/v1/posts/external

📝 Create a Post

Allows users to create a post with rich text and a single media type (only images support multiple values).


HTTP Method

POST


Endpoint

/api/v1/posts


Headers

NameTypeRequiredDescription
x-api-keystring✅ YesSecret key provided by Networked.co. Required for authentication.
spaceIdnumber❌ NoIf provided, post will be published to the corresponding Space feed.

Body Parameters

NameTypeRequiredDescription
postTypenumber✅ YesType of post. Refer to PostType enum for supported values.
textstring✅ YesThe main content of the post in HTML format.

Wrap your text in the desired HTML tag. For example:
This is bold text.
This is italic and underlined.

only use general tags just for styling.
Mediaobject❌ NoMedia payload: only one type of media allowed (image, video, or file).
communitiesstring[]✅ YesArray of community IDs to which this post will be published, include spaceId's to publish in space as well .
hideFromDiscoverboolean❌ NoIf true, post will be hidden from the Discover section in mobile.

Media Object (Any one can be sent at once)

NameTypeRequiredDescription
videoLinkstring❌ NoLink to a video. Must not be sent with file or image fields.
imageLink[]string[]❌ NoArray of image URLs. Only media type that supports multiple values.
filelinkstring❌ NoLink to a file attachment. Must not be sent with video or image fields.

⚠️ Only one media type allowed: videoLink, imageLink[], or filelink. Do not combine them.

StartFragment

⚠️ Disclaimer & Usage Instructions

The Text field supports a limited set of safe HTML tags to help you apply basic formatting to your text.

You can use the following tags:

  • **or **→ Bold

  • or → Italic

  • → Underline


  • → Line break

    • ,
        ,
      1. → Bullet or numbered lists

✅ How to use:

Wrap your text in the desired HTML tag. For example:

  • This is bold text.

  • This is italic and underlined.

❌ Do not use:

  • Any media-related tags like , , </Any JavaScript or embedded content

🚫 Important:

Using unsupported HTML tags may lead to content not rendering correctly on Networked. We do not take responsibility for such issues. Please stick to basic styling tags only.


Sample Response

{
"data": {
"postId": "6855529c78bddf001282dd01",
"status": 1,
"communities": [
"68502b58dc3b2c00124cd5af"
]
},
"error": false,
"message": "Success"
}

Response Interface

interface CreatePostResponse {
data: {
postId: string;
status: number;
communities: string[];
};
error: boolean;
message: string;
}

Response Field Descriptions

FieldTypeDescription
postId
string
Unique ID of the newly created post.
status
number
Post creation status (1 for success).
communities
string[]
List of community IDs where this post is published.
error
boolean
false indicates the API call was successful.
message
string
Message confirming the result of the post creation request.

Reference

  • Standard Response Codes Reference
  • Post Types

Notes

  • media should include only one media type.
  • Only imageLink[] allows multiple entries; videoLink and filelink must be used individually.
  • Use spaceId (in header) if posting to a Space, otherwise the post will be shown on the community feed.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

🔴512
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.networked.co/api/v1/posts/external' \
--header 'x-api-key: <your-api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "postType": 2,
    "text": "posting from a <b>good</b> as a <i>test</i> ",
    // only one type of media can be sent, only mutiple images will work
    "media" : {
        // "videoLink" : "https://youtu.be/onXn0YUmeWQ",
        // "imageLink" : ["https://media.istockphoto.com/id/814423752/photo/eye-of-model-with-colorful-art-make-up-close-up.jpg?s=612x612&w=0&k=20&c=l15OdMWjgCKycMMShP8UK94ELVlEGvt7GmB_esHWPYE=","https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQUPIfiGgUML8G3ZqsNLHfaCnZK3I5g4tJabQ&s"], // multiple supported
        "file" : {
            "name" : "Aakash_Nishad.pdf",
            "fileSize" : null, // size can be undefined if not please send null 
            "link" : "https://ntwc-us-east-2-prod-eks-s3-files-storage.s3.us-east-2.amazonaws.com/user-667a1b42f4d1e40012e645d3/file_1752641775804_Aakash_Nishad.pdf"
        } 
    },
    "communities": [
        "67959032bc6bea0012fdc671"
    ], // add 
    "hideFromDiscover": true
    
}'
Response Response Example
200 - Successful Response
{
    "data": {
        "postId": "6855529c78bddf001282dd01",
        "status": 1,
        "communities": [
            "68502b58dc3b2c00124cd5af"
        ]
    },
    "error": false,
    "message": "Success"
}
Modified at 2026-05-15 11:40:59
Previous
Feed Post List
Next
Get Post Comments
Built with